---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: meta
metadata:
  name: addons
  description: addons meta-component installing all the addons components
options:
  crds:
    default:
      argo-cd:
        enable: false
      argo-events:
        enable: false
      argo-workflows:
        enable: false
      cdi:
        enable: false
      fission:
        enable: false
      flux:
        enable: false
      jaeger:
        enable: false
      keda:
        enable: false
      kubevirt:
        enable: false
      minio:
        enable: false
      multus:
        enable: false
      olm:
        enable: false
      opentelemetry:
        enable: false
      prometheus:
        enable: false
      tekton_pipelines:
        enable: false
      tekton_triggers:
        enable: false
      volumesnapshot:
        enable: false
      whereabouts:
        enable: false
    examples:
    - argo-cd:
        enable: false
      argo-events:
        enable: false
      argo-workflows:
        enable: false
      cdi:
        enable: false
      fission:
        enable: false
      flux:
        enable: false
      jaeger:
        enable: false
      keda:
        enable: false
      kubevirt:
        enable: false
      minio:
        enable: false
      multus:
        enable: false
      olm:
        enable: false
      opentelemetry:
        enable: false
      prometheus:
        enable: false
      tekton_pipelines:
        enable: false
      tekton_triggers:
        enable: false
      volumesnapshot:
        enable: false
      whereabouts:
        enable: false
    properties:
      argo-cd:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      argo-events:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      argo-workflows:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      cdi:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      fission:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      flux:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      jaeger:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      keda:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      kubevirt:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      minio:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      multus:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      olm:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      opentelemetry:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      prometheus:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      tekton_pipelines:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      tekton_triggers:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      volumesnapshot:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      whereabouts:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
    type: object
  fission:
    default:
      enable: false
      namespace: vynil-functions
    examples:
    - enable: false
      namespace: vynil-functions
    properties:
      enable:
        default: false
        type: boolean
      namespace:
        default: vynil-functions
        type: string
    type: object
  flux:
    default:
      enable: false
      namespace: flux
    examples:
    - enable: false
      namespace: flux
    properties:
      enable:
        default: false
        type: boolean
      namespace:
        default: flux
        type: string
    type: object
  monitor:
    default:
      jaeger:
        enable: false
      namespace: vynil-monitor
      opentelemetry:
        enable: false
      prometheus:
        enable: true
    examples:
    - jaeger:
        enable: false
      namespace: vynil-monitor
      opentelemetry:
        enable: false
      prometheus:
        enable: true
    properties:
      jaeger:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      namespace:
        default: vynil-monitor
        type: string
      opentelemetry:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      prometheus:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
    type: object
  olm:
    default:
      enable: false
      namespace: olm
    examples:
    - enable: false
      namespace: olm
    properties:
      enable:
        default: false
        type: boolean
      namespace:
        default: olm
        type: string
    type: object
  tekton:
    default:
      enable: false
      namespace: tekton
      tekton_pipelines:
        enable: true
      tekton_triggers:
        enable: true
    examples:
    - enable: false
      namespace: tekton
      tekton_pipelines:
        enable: true
      tekton_triggers:
        enable: true
    properties:
      enable:
        default: false
        type: boolean
      namespace:
        default: tekton
        type: string
      tekton_pipelines:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
      tekton_triggers:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
    type: object
  tools:
    default:
      keda:
        enable: false
      namespace: vynil-addons
      node_problem_detector:
        enable: false
    examples:
    - keda:
        enable: false
      namespace: vynil-addons
      node_problem_detector:
        enable: false
    properties:
      keda:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
      namespace:
        default: vynil-addons
        type: string
      node_problem_detector:
        default:
          enable: false
        properties:
          enable:
            default: false
            type: boolean
        type: object
    type: object
  virt:
    default:
      bridges:
        enable: true
      cdi:
        enable: true
      enable: false
      kubevirt:
        enable: true
      multus:
        enable: true
      namespace: vynil-virt
      whereabouts:
        enable: true
    examples:
    - bridges:
        enable: true
      cdi:
        enable: true
      enable: false
      kubevirt:
        enable: true
      multus:
        enable: true
      namespace: vynil-virt
      whereabouts:
        enable: true
    properties:
      bridges:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
      cdi:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
      enable:
        default: false
        type: boolean
      kubevirt:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
      multus:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
      namespace:
        default: vynil-virt
        type: string
      whereabouts:
        default:
          enable: true
        properties:
          enable:
            default: true
            type: boolean
        type: object
    type: object
dependencies: []
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
